Name:           athena-gnome-base
Version:        2.0.0
Release:        1%{?dist}
Summary:        GNOME base configuration for Athena

License:        LicenseRef-custom
URL:            https://gitlab.com/athenaos/packages/desktop/athena-gnome-base
Source0:        athena-gnome-applications.menu
Source1:        gnome-init.desktop
Source2:        gnome-init

BuildArch:      noarch
Requires:       eog
Requires:       gnome-characters
Requires:       gnome-control-center
Requires:       gnome-extensions-app
Requires:       gnome-keyring
Requires:       gnome-menus
Requires:       gnome-session-xsession
Requires:       gnome-shell
Requires:       gnome-shell-extension-user-theme
Requires:       gnome-system-monitor
Requires:       gnome-themes-extra
Requires:       gnome-tweaks
Requires:       nautilus
Requires:       google-noto-color-emoji-fonts
Requires:       jetbrains-mono-fonts-all
Requires:       xdg-desktop-portal
Requires:       xdg-desktop-portal-gnome
Requires:       xdg-user-dirs

%description
GNOME base configuration package for Athena OS. It installs essential
GNOME applications, portal integrations, and GNOME-specific settings.

%prep
# Nothing to unpack

%build
# Nothing to build

%install
# Create needed directories
install -dm 755 %{buildroot}/etc/skel
install -dm 755 %{buildroot}/etc/xdg/autostart
install -dm 755 %{buildroot}/etc/xdg/menus/applications-merged
install -dm 755 %{buildroot}/usr/bin

# Install files
install -Dm644 %{SOURCE1} %{buildroot}/etc/xdg/autostart/gnome-init.desktop
install -Dm755 %{SOURCE2} %{buildroot}/usr/bin/gnome-init
install -Dm644 %{SOURCE0} %{buildroot}/etc/xdg/menus/applications-merged/athena-gnome-applications.menu

# Flag file
touch %{buildroot}/etc/skel/.flag-gnome-once

%files
/etc/skel/.flag-gnome-once
/etc/xdg/autostart/gnome-init.desktop
/usr/bin/gnome-init
/etc/xdg/menus/applications-merged/athena-gnome-applications.menu

%changelog
* Sat Apr 20 2025 Little Owl <littleowl@athenaos.org>
- Initial RPM release
